Ask Your Question
0

How can I install a Ceilometer package ??

asked 2019-01-20 07:53:39 -0500

whoansoo gravatar image

I got a error message when I had installed a ceilometer package. How can I resolve that ?

root@controller:~# sudo apt-get purge ceilometer-api ceilometer-collector ceilometer-agent-central ceilometer-agent-notification ceilometer-alarm-evaluator ceilometer-alarm-notifier python-ceilometerclient

Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package ceilometer-api E: Unable to locate package ceilometer-collector E: Unable to locate package ceilometer-alarm-evaluator E: Unable to locate package ceilometer-alarm-notifier

My OS is Ubuntu 18.0.4. And Glance version is 2.9.1., Openstack version is 3.14.2.

Thanks.

edit retag flag offensive close merge delete

3 answers

Sort by » oldest newest most voted
0

answered 2019-01-20 10:49:58 -0500

novainfinite gravatar image

try apt install -f

edit flag offensive delete link more

Comments

Sorry. After I had followed your guide, I met the same error message.

whoansoo gravatar imagewhoansoo ( 2019-01-21 00:34:51 -0500 )edit

i think reinstall your controller

novainfinite gravatar imagenovainfinite ( 2019-01-21 04:52:13 -0500 )edit
0

answered 2019-01-20 08:08:23 -0500

updated 2019-01-20 18:14:42 -0500

Ceilometer API and its alarm components were obsoleted (in Pike as far as I know) and replaced by Gnocchi and Aodh. I guess that Ubuntu 18 has no packages for them anymore.

On the other hand, the agent packages should still be available. See installation instructions.

By the way, 3.14.1 is the version of the OpenStack client. nova-manage version should give you the Nova version.

edit flag offensive delete link more

Comments

Thanks.I reinstalled using Gnocchi online manual. But I got other error.

root@controller:~# apt-get install gnocchi-api gnocchi-metricd python-gnocchiclient Registering service and endpoints for gnocchi with type metric at http://172.30.1.130:8041 The request you have made requires authentication

whoansoo gravatar imagewhoansoo ( 2019-01-21 00:33:00 -0500 )edit

Additionnally, My Network is interface#1 is NAT (controller: 192.168.0.101, compute: 192.168.0.102). And Interface#2 is Internet (controller: 172.30.1.130, compute: 172.30.1.131). I almost used 192.168.0.101 ip address in my controller pc.

How I resolve this error?

whoansoo gravatar imagewhoansoo ( 2019-01-21 00:41:43 -0500 )edit

From your report, the Ubuntu 18 packages tries to register Gnocchi endpoints. This is strange. Unfortunately I have no Ubuntu 18 to check.

My guess is that Gnocchi has been installed. Try performing the remaining installation steps.

Bernd Bausch gravatar imageBernd Bausch ( 2019-01-21 00:53:08 -0500 )edit
0

answered 2019-05-09 04:39:35 -0500

wahab.icp gravatar image

Hello, I would appreciate if I can get your input on that as I am facing the same issue. I am using OpenStack (Rocky) with Ubuntu 18.04.

when i type gnocchi status, I get the following error.

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>504 Gateway Timeout</title>
</head><body>
<h1>Gateway Timeout</h1>
<p>The gateway did not receive a timely response
from the upstream server or application.</p>
<hr>
<address>Apache/2.4.29 (Ubuntu) Server at controller Port 8041</address>
</body></html>
 (HTTP 504)

Following are the contents of /var/log/apache2/gnocchi_error.log. I don't understand why is gnocchi checking on port 6379. I have tried it by disabling the coordination_url = redis://controller:6379 in /etc/gnocchi/gnocchi.conf but still no luck.

2019-05-09 11:09:39.916529 ToozConnectionError: Error 111 connecting to controller:6379. Connection refused.
2019-05-09 11:09:44.603123 2019-05-09 11:09:44,602 [16557] ERROR    gnocchi.utils: Unable to initialize coordination driver
2019-05-09 11:09:44.603169 Traceback (most recent call last):
2019-05-09 11:09:44.603180   File "/usr/lib/python2.7/dist-packages/tenacity/__init__.py", line 333, in call
2019-05-09 11:09:44.603189     result = fn(*args, **kwargs)
2019-05-09 11:09:44.603198   File "/usr/lib/python2.7/dist-packages/gnocchi/cli/metricd.py", line 45, in get_coordinator_and_start
2019-05-09 11:09:44.603206     coord.start(start_heart=True)
2019-05-09 11:09:44.603215   File "/usr/lib/python2.7/dist-packages/tooz/coordination.py", line 687, in start
2019-05-09 11:09:44.603223     super(CoordinationDriverWithExecutor, self).start(start_heart)
2019-05-09 11:09:44.603232   File "/usr/lib/python2.7/dist-packages/tooz/coordination.py", line 423, in start
2019-05-09 11:09:44.603260     self._start()
2019-05-09 11:09:44.603267   File "/usr/lib/python2.7/dist-packages/tooz/drivers/redis.py", line 449, in _start
2019-05-09 11:09:44.603274     self._server_info = self._client.info()
2019-05-09 11:09:44.603281   File "/usr/lib/python2.7/contextlib.py", line 35, in __exit__
2019-05-09 11:09:44.603288     self.gen.throw(type, value, traceback)
2019-05-09 11:09:44.603295   File "/usr/lib/python2.7/dist-packages/tooz/drivers/redis.py", line 51, in _translate_failures
2019-05-09 11:09:44.603303     cause=e)
2019-05-09 11:09:44.603309   File "/usr/lib/python2.7/dist-packages/tooz/utils.py", line 225, in raise_with_cause
2019-05-09 11:09:44.603316     excutils.raise_with_cause(exc_cls, message, *args, **kwargs)
2019-05-09 11:09:44.603324   File "/usr/lib/python2.7/dist-packages/oslo_utils/excutils.py", line 143, in raise_with_cause
2019-05-09 11:09:44.603331     six.raise_from(exc_cls(message, *args, **kwargs), kwargs.get('cause'))
2019-05-09 11:09:44.603338   File "/usr/lib/python2.7/dist-packages/six.py", line 737, in raise_from
2019-05-09 11:09:44.603345     raise value
2019-05-09 11:09:44.603352 ToozConnectionError: Error 111 connecting to controller:6379. Connection refused.

The same error is being reproduced in /var/log/gnocchi/gnocchi-metricd.log

The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/tenacity ...
(more)
edit flag offensive delete link more

Comments

Please submit your question as a question, instead of an answer. Your issue is quite different from the one covered here.

Bernd Bausch gravatar imageBernd Bausch ( 2019-05-09 06:55:34 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

Stats

Asked: 2019-01-20 07:45:39 -0500

Seen: 112 times

Last updated: Jan 20